function seminar6_correlation()

N = 10000;
n = 100;

r = zeros(N, 1);
for i = 1:N
    x = randn(n, 1);
    y = randn(n, 1);
    
    ex = x - mean(x);
    ey = y - mean(y);
    cov_est = ex'*ey / (n - 1);
    corr_est = cov_est / (std(x) * std(y));
    
    r(i) = corr_est;
    
    
end

[y, x] = hist_density(r, 15);

plot(x, y);

end

